post
https://api.transmitmessage.com/v2/senders/registrations
Creates a sender registration and sets status to PENDING_APPROVAL.
- If you omit
account_id, the API registers the sender for the authenticated account. - If you provide
account_id, the API registers the sender for that account: your own account or one of your child accounts. The API returns404 Not Foundfor an account that isn't visible to you, and403 Forbiddenfor one that's visible but you don't manage. child_account_idis a deprecated name foraccount_id. If you send both, they must name the same account, or the API returns400 Bad Request.- An account you can't use returns
403or404. Before these responses were added, achild_account_idyou couldn't use returned400 Bad Request. - If a registration for the same sender was already created within the last 30 minutes (for the same account or child account), the API returns
429 Too Many Requests. This prevents abuse of the verification retry limit. - Any existing
PENDING_APPROVALregistration for the same sender (for the same account or child account) is automatically cancelled before the new one is created.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…